<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.DemReportDataMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.DemReportData">
        <id column="id" property="id" />
        <result column="company_id" property="companyId" />
        <result column="company_code" property="companyCode" />
        <result column="fire_risk" property="fireRisk" />
        <result column="base_situation" property="baseSituation" />
        <result column="exist_problem" property="existProblem" />
        <result column="index_analysis" property="indexAnalysis" />
        <result column="overall_score" property="overallScore" />
        <result column="equipment_state" property="equipmentState" />
        <result column="equipment_statistic" property="equipmentStatistic" />
        <result column="law_enforce" property="lawEnforce" />
        <result column="fire_situation" property="fireSituation" />
        <result column="statistic_period" property="statisticPeriod" />
        <result column="statistic_month" property="statisticMonth" />
        <result column="create_time" property="createTime" />
    </resultMap>

</mapper>
